=== debian/changelog ===
kdsingleapplication (1.0.0-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Jan 2025 09:17:41 -0800

kdsingleapplication (1.0.0-2) unstable; urgency=medium

  * Add a missing dependency on libkdsingleapplication-qt6-1.0 for
    libkdsingleapplication-qt6-dev

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 09 Jan 2024 12:17:15 +0100

kdsingleapplication (1.0.0-1) unstable; urgency=medium

  * Initial package (Closes: #1058931)

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 18 Dec 2023 15:02:56 +0100
