=== debian/control ===
Source: kdsingleapplication
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
                qt6-base-dev
Vcs-Git: https://salsa.debian.org/owncloud-team/kdsingleapplication.git
Vcs-Browser: https://salsa.debian.org/owncloud-team/kdsingleapplication
Standards-Version: 4.6.2
Homepage: https://owncloud.org/desktop-app/

Package: libkdsingleapplication-qt6-1.0
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDAB's helper class for single-instance policy applications
 KDSingleapplication provides a helper class to make sure that an
 application is single-instance, that is, can't be started more than
 once for an user.
 .
 This package provides the QT Helper class as a library.

Package: libkdsingleapplication-qt6-dev
Architecture: any
Multi-Arch: no
Depends: libkdsingleapplication-qt6-1.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDAB's helper class for single-instance policy applications
 KDSingleapplication provides a helper class to make sure that an
 application is single-instance, that is, can't be started more than
 once for an user.
 .
 This package provides the development files for KDSingleApplication
