=== debian/changelog ===
kdsingleapplication (1.1.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Apr 2025 13:44:34 -0700

kdsingleapplication (1.1.0-2) unstable; urgency=high

  * Add missing Breaks:/Replaces:
    (Closes: #1102633)

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 11 Apr 2025 12:19:36 +0200

kdsingleapplication (1.1.0-1) unstable; urgency=medium

  * Update d/control for Salsa namespace change  (Closes: #1101040)
  * Make library package  Multi-Arch: same
  * Drop lintian override on 'newer-standards-version'
  * Move to unstable. Revert package name & SONAME change (No change to ABI)

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 10 Apr 2025 13:43:49 +0200

kdsingleapplication (1.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.1.0 (Closes: #1082095, #1100026)
  * Update Homepage
  * Standards 4.7.2 (No related changes)
  * Add Rules-Requires-Root: no
  * Add libdevel to dev package Section:
  * Add myself to d/copyright, add BSD-3-Clause
  * Drop 'unneeded' and extra license file from d/rules
  * Move non library files to dev package (Policy 8.2)
  * Include examples
  * Drop patch adopted upstream
  * Override lintian false positive 'newer-standards-version'
  * Override lintian (C++) 'no-symbols-control-file'

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 10 Mar 2025 13:03:10 +0000
