=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DH_VERBOSE = 1

%:
	dh $@ --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DKDSingleApplication_QT6=ON

execute_after_dh_auto_install:
	# Unneeded extra license file
	rm debian/tmp/usr/share/doc/KDSingleApplication-qt6*/LICENSE.txt

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym
