## kdsingleapplication 1.2.0

=== debian/changelog ===
kdsingleapplication (1.2.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Feb 2026 15:45:05 -0500

kdsingleapplication (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0 (Closes: #1112519)
  * Refresh soname.patch
  * Remove Rules-Requires-Root
  * Remove Hefee from Uploaders
  * Update debian/watch to Version 5:
  * Add upstream/metadata

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 26 Nov 2025 14:48:24 +0000
