=== debian/watch ===
Version: 5
Template: Github
Owner: KDAB
Project: KDSingleApplication
